Subject: Re: bug#33455: Zathura can't display PDF or epub

From: Leo Famulari <[email-masked]>
Date: Wed, 21 Nov 2018 11:42:59 -0500

On Wed, Nov 21, 2018 at 11:41:10AM +0000, Bradley Haggerty wrote:
> error: Could not load plugin
> '/home/brad/.guix-profile/lib/zathura/libpdf-mupdf.so'
> (/home/brad/.guix-profile/lib/zathura/libpdf-mupdf.so: undefined
> symbol: jpeg_resync_to_restart).

I installed zathura and zathura-pdf-mupdf — is zathura supposed to be
modular? In any case, I got the same errors.

But, when I replaced zathura-pdf-mupdf with zathura-pdf-poppler and made
sure the requisite environment variables were set (`guix package
--search-paths`), PDF reading worked for me.

I didn't test reading EPUB files. Is zathura supposed to read EPUBs?